# Copyright (c) 2000-2009, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define compile_javadoc 0

%define _with_repolib 1

%define with_repolib %{?_with_repolib:1}%{!?_with_repolib:0}
%define without_repolib %{!?_with_repolib:1}%{?_with_repolib:0}

%define repodir %{_javadir}/repository.jboss.com/org/%{name}/%{name}/%{version}-brew
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_with gcj_support

%if %with gcj_support
%define gcj_support 1
%else
%define gcj_support 0
%endif

%define section   free
%define api_version 1.0

Name:           jyaml
Version:        1.3
Release:        3.3.2%{?dist}
Epoch:          0
Summary:        JYaml is a Java library for working with the Yaml file format
Group:          Development/Libraries/Java
License:        BSD
URL:            http://jyaml.sourceforge.net/
Source0:        http://voxel.dl.sourceforge.net/project/jyaml/jyaml/jyaml-1.3/jyaml-src-1.3.tgz
Source1:        jyaml-1.3.pom
Source5:        jyaml-component-info.xml
Requires(post): jpackage-utils >= 0:1.7.3
Requires(postun): jpackage-utils >= 0:1.7.3
BuildRequires:  ant >= 0:1.6
BuildRequires:  ant-junit >= 0:1.6
BuildRequires:  jpackage-utils >= 0:1.7.2
BuildRequires:  junit >= 0:3.8.1
BuildRequires:  maven-deploy-plugin
BuildRequires:  xml-commons-jaxp-1.3-apis

%if %{gcj_support}
BuildRequires:  java-gcj-compat-devel
%else
BuildArch:      noarch
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
JYaml is a Java library for Java object serialization using the Yaml format - a human-friendly format for structured documents (yaml.org). 

%if %{compile_javadoc}
%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}.
%endif

%if %{with_repolib}
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio
%endif

%prep
%setup -q -n jyaml

%build
export OPT_JAR_LIST=`%{__cat} %{_sysconfdir}/ant.d/junit`
#ln -s $(build-classpath geronimo-stax-1.0-api) lib/jsr173_1.0_api.jar
#ln -s $(build-classpath geronimo-stax-1.0-api) lib/jsr173_api.jar
ln -s $(build-classpath junit) junit.jar
%{ant} -D JUNIT_HOME=. dist

#ls -lR

%install
rm -rf %{buildroot}

# jars
install -d -m 755 %{buildroot}%{_javadir}

install -pm 644 dist/%{name}-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}-%{version}.jar

ln -s %{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

#javadoc
%if %{compile_javadoc}
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/docs/javadocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}
%endif

# poms
%add_to_maven_depmap org.jyaml %{name} %{version} JPP %{name}
install -d -m 755 %{buildroot}%{_datadir}/maven2/poms
install -pm 644 %{SOURCE1} %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}.pom

%if %{with_repolib}
install -d -m 755 $RPM_BUILD_ROOT%{repodir}
install -d -m 755 $RPM_BUILD_ROOT%{repodirlib}
%{_bindir}/mvn-jpp deploy:deploy-file -DgroupId=org.jyaml -DartifactId=jyaml -Dversion=%{version} -Dpackaging=jar -Dfile=%{buildroot}%{_javadir}/jyaml-%{version}.jar -DpomFile=%{buildroot}%{_datadir}/maven2/poms/JPP-%{name}.pom -Durl=file://%{buildroot}%{_javadir}/repository.jboss.com/maven2-brew -DrepositoryId=jboss-releases
tag=`echo %{version}-brew`
sed -i "s/@VERSION@/$tag/g" %{SOURCE5}
tag=`echo %{name}-%{version}-%{release} | sed 's|\.|_|g'`
sed -i "s/@TAG@/$tag/g" %{SOURCE5}
install -m 755 %{SOURCE5} $RPM_BUILD_ROOT%{repodir}/component-info.xml
install -d -m 755 $RPM_BUILD_ROOT%{repodirsrc}
install -m 755 %{SOURCE0} $RPM_BUILD_ROOT%{repodirsrc}
cp -p $RPM_BUILD_ROOT%{_javadir}*/%{name}-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/%{name}.jar
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{repodirlib}/%{name}.pom
%endif

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%clean
rm -rf %{buildroot}

%post
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%postun
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%files
%defattr(0644,root,root,0755)
%doc LICENSE RELEASE_NOTES
%{_javadir}*/%{name}-%{version}.jar
%{_javadir}*/%{name}.jar

%{_datadir}/maven2/poms/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-%{version}.jar.db
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-%{version}.jar.so
%endif

%if %{compile_javadoc}
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}
%endif

%if %{with_repolib}
%files repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}*
%{_javadir}*/repository.jboss.com
%endif

%changelog
* Tue Jan 18 2011 Vaclav Tunka <vtunka@redhat.com> - 0:1-3-3.3.2
- Rebuild

* Tue Jan 18 2011 Vaclav Tunka <vtunka@redhat.com> - 0:1-3-3.3
- Rebuild
- Fix repolib subpackage

* Thu Dec 16 2010 Vaclav Tunka <vtunka@redhat.com> - 0:1-3-3.2
- Rebuild

* Mon May 17 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.3-3.1
- rebuilt

* Tue Apr 20 2010 Weinan Li <weli@redhat.com> - 0:1.3-3
- Rebuild

* Tue Dec 15 2009 Yong Yang <yyang@redhat.com> - 0:1.3-2
- Add component-info.xml

* Mon Nov 09 2009 Yong Yang <yyang@redhat.com> - 0:1.3-1
- First release
